Package net.shibboleth.idp.plugin.authn.webauthn.storage

# Interface CredentialRecord.IUserIdentityStage

All Known Implementing Classes:
  `CredentialRecord.Builder`

Enclosing class:
  CredentialRecord

public static interface CredentialRecord.IUserIdentityStage
Builder stage.

## Method Summary

Modifier and Type
Method
Description
`CredentialRecord.IUsernameStage`
`withUserIdentity(com.yubico.webauthn.data.UserIdentity userIdentity)`
The users identity.

## Method Details

### withUserIdentity

@Nonnull CredentialRecord.IUsernameStage withUserIdentity(@Nonnull com.yubico.webauthn.data.UserIdentity userIdentity)
The users identity.

Parameters:
  `userIdentity` - the users identity
Returns:
  the next builder stage